Subject: Linux-Admin Digest #56
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Mon, 12 Sep 94 22:13:42 EDT

Linux-Admin Digest #56, Volume #2                Mon, 12 Sep 94 22:13:42 EDT

Contents:
  Two Hostnames: Possible? (Peter Suetterlin)
  Slow curses - is there a better/faster curses? (James Deibele)
  Re: xlock-shadow source ? (Sam Oscar Lantinga)
  message display in ftp (Roh Nam-Seok)
  Smallest Linux Distribution (David Petrou)
  ftape 1.13b patched ([email-masked])
  ethernet connection between DOS and Linux (Perjan  -The Nerd-  Moors)
  Connecting DOS to Linux via ethernet: HOW? (Perjan  -The Nerd-  Moors)

----------------------------------------------------------------------------

From: [email-masked] (Peter Suetterlin)
Subject: Two Hostnames: Possible?
Date: 12 Sep 1994 15:17:42 GMT

Hi World!

Since a week, I have a SLIP-connection to the Internet. :)
Until then, I used to have lupo as my hostname. Together with my SLIP
account, I got an 'official' address (slip65.home.uni-freiburg.de)
Now the problem is receiving mail: 
I tried to convince smail to accept both names, i.e. lupo locally and
slip65 for external connections. But smail refuses until I completely
change the hostname to slip65. But, as I dislike the new name (yes, I
know, it's cosmetic....):
Is it possible to have different names for a computer? How to setup
smail (reading the NAG didn't give me the necessary clues)
Thanks in advance,

  Peter

==================   Peter 'PIT' Suetterlin   =================
|   Kiepenheuer Institut     |   Sternfreunde Breisgau e.V    |
|   fuer Sonnenphysik        |                                |
|   0761/3198-210            |   0761/71571                   |
-<[email-masked]>-<[email-masked]>--

------------------------------

From: [email-masked] (James Deibele)
Crossposted-To: comp.os.linux.development,comp.os.linux.help,comp.os.linux.misc
Subject: Slow curses - is there a better/faster curses?
Date: 12 Sep 1994 00:51:27 -0700

48 hours ago I installed Slackware 2.0 and it was just about the easiest 
install I've ever done in 10 years of mucking around with computers.
Color me impressed.

We are using Linux on a box for people to do remote development - we
want to compile and run apps on the Linux box.  Exciting things like
accounting and other business tasks.

elvis is a pretty faithful implementation of vi although it's noticeably
slower in screen I/O than vi on a SPARC.  And that's when I'm only the
user on the linux box and there's nothing else happening on it.  And
with relatively small - 400-line - programs.

Console output under Linux was very quick and I'm sure X performance is
pretty good.  But curses performance is a little sluggish and adding
lines near the bottom of the screen is a real killer - curses seems to
clear the screen with blank lines <then> adds the new text.

I know that curses and terminals are going the way of the dinosaur but
like the dinosaur they're going to take a long time to die.  We were
looking at what it would cost to outfit our very small office with a
PC/Mac/Unix solution that ran under Windows, MacOS, and UNIX and decided
we could live with a curses interface.

But it would be nice if it were a little quicker.  Is there a
replacement curses out there somewhere?  I checked the FAQs, How-Tos,
and Meta-FAQ and didn't see a word about curses.

Thanks!

-- 
[email-masked]                 "Slowly cursing he deleted the word"
Full internet (ftp, telnet, irc, ppp) available.   Voice: (503) 223-4245
Portland: (503) 220-1016 2400, N81.  Login as "new" to setup an account.
Vancouver: (206) 260-0330   Salem: (503) 364-2028    FAX: (503) 223-4372

------------------------------

From: [email-masked] (Sam Oscar Lantinga)
Subject: Re: xlock-shadow source ?
Date: 13 Sep 1994 00:11:48 GMT

Alan B. Evans ([email-masked]) wrote:
: Srini Seetharam ([email-masked]) wrote:
: : I recently installed the shadow suite for my linux box.
: : It runs great. except when  I locked the screen.

: : I have been going nuts lookin for the source and/or binaries of
: : xlock-shadow.

        You can ftp it (along with a source shadow package) from 
dewdrop.water.ca.gov in /pub/Linux

Good luck!

        -Sam

------------------------------

From: [email-masked] (Roh Nam-Seok)
Subject: message display in ftp
Date: 13 Sep 1994 00:26:48 GMT

I have installed Slackware 2.0 and there was anonymous ftp setted.
Everything was okay, except for message displaying.
In /etc/ftpaccess, there was message command as following...

message /var/spool/ftpd/msgs/welcome.msg  login

but no message was displayed on ftp loggin on.
I tryed another message command like

message .message cwd=*

to display .message in each directory, but nothing happens also.

Please advise me what todo. 
Thank you...

==================================================================
Roh Nam-Seok@MS&E.KAIST.KOREA 
[email-masked]
Juno is Linux System !  Thanks to LINUS...
==================================================================

------------------------------

From: [email-masked] (David Petrou)
Subject: Smallest Linux Distribution
Date: 12 Sep 1994 09:09:07 GMT

     Hi.  I'm looking for the smallest linux distribution available to
install on my computer.  I'm looking for the Bare Essentials only.  What I'm
trying to do is get the kernel, /bin, cc and a few other essential tools
on a file system so I can play around and install all major unix programs
(like Xfree, GCC, Emacs, etc...) on my own to get a lot of experience with
unix.  (Besides, it seems like a lot of fun and a good way to learn.)

     Does such a distribution exist?  If not, how would I go about doing the
above?  It seems that I would need some time of boot disk to put a filesystem
on my HD and to copy over a kernel and stuff like /bin.  I'm pretty clueless
on where I would ftp, say /bin or linux cc (or is there only a linux gcc?) so
I'd appreciate any pointers.

Thanks,
David Petrou
[email-masked]

------------------------------

From: [email-masked]
Subject: ftape 1.13b patched
Date: 12 Sep 1994 07:12:35 -0000

If you've upgraded to a later kernel (e.g. 1.1.50) and you're using
ftape, you ran into a problem getting ftape to compile. Some kind
soul has put a patch on sunsite under kernel/patches/tapes to fix
the problem. Get it and unpack it in the ftape-1.13b directory. 
Then modify fdc-io.c.

In the request_dma function, add "ftape" as a second argument. All will
compile fine. I've tried it and it works great.

I use cpio(2.2) to make the backups like:

find /usr/src -print | cpio -ov -H newc > /dev/ftape

Hope this helps somebody.

-- 
Stu Mitchell                            [email-masked]
USFWS Forensic Lab                      [email-masked]
Ashland, Oregon                         wd4eck@w7oek
    *** These are my opinions, not the Government's ***

------------------------------

From: [email-masked] (Perjan  -The Nerd-  Moors)
Subject: ethernet connection between DOS and Linux
Date: Tue, 13 Sep 1994 00:16:01 GMT

Hello world!

I have a problem installing an ethernet connection between my DOS machine and
the Linux box. On the Dos machines, which are also in a novell network, I have
installed odipkt and tried to use CUTCP as well as TEL2305.

my NET.CFG looks like this:

Link Driver 3C505
        DMA  5
        PORT 300
        INT 9
        FRAME Ethernet_802.3
        FRAME Ethernet_II

NetWare DOS Requester
           FIRST NETWORK DRIVE = F
           USE DEFAULTS = OFF
           VLM = CONN.VLM
           VLM = IPXNCP.VLM
           VLM = TRAN.VLM
           VLM = SECURITY.VLM
        ;  VLM = NDS.VLM
           VLM = BIND.VLM
           VLM = NWP.VLM
           VLM = FIO.VLM
           VLM = GENERAL.VLM
           VLM = REDIR.VLM
           VLM = PRINT.VLM
           VLM = NETX.VLM
===============================================================================

the startnet part of my autoexec.bat:

SET NWLANGUAGE=ENGLISH
LH /L:2,9296 LSL
3C505.COM
LH /L:2,30576 IPXODI
LH /L:2,3440 ODIPKT 1
LH /L:2,76224 VLM

f:
login

===============================================================================

relevant part of config.tel:

#  Example host file for CUTCP/CUTE 2.2D and 2.2TN  REV -D
#  as well as Rutgers-Interm-1.0
#  07/07/93
#
#      Bugs to  [email-masked]

myip=1.2.3.100                  #  (bootp)
                                #  myip types are:
                                #  bootp        - sends out a BOOTP request for your IP
                                #  rarp         - Uses reverse ARp to get your IP
                                #  xx.yy.zz.qq  - your IP address

vjc=no          # (no)
                                # set  vjc=yes if you're running slip and
                                # you want to use Van Jacobson TCP header
                                # compression

splayc=no       # (no) ack. splay compression w/ vjc.. don't
                                # use it, not standard, development option only

netmask=255.255.255.0  #  needed if not using BOOTP.
                       #  otherwise not needed because Bootp gets
                       #  your netmask for you

hardware=packet        # (packet)
                       # harware choices
                       #  3com         - 3com 3c501
                       #  3c523        - 3com 3c523
                       #  odi          - Novell's ODI stack
                       #  packet       - FTP packet Driver spec
                       # (currently only Ethernet and Slip class
                       # devices are supported)

interrupt=9            # hardware IRQ interrupt
address=0              # (0)
                       # base memory address or packet driver class
                       # if using packet driver (0 == default == ethernet)
                       # or class=6 for slip

ioaddr=0               # (0)
                       # I/O address  or packet int vector if using packet driver
                       # If = 0 and packet driver, telbin looks for first
                       # packet driver found between 60H and 7FH

noarpme=yes     # Don't arp for myself before running? (no)
                                # if yes, inhibits the initial arp request
                                # for this IP address. However, if yes, won't
                # warnyou if another user is using this IP
                                # address. For some token ring systems, you'll
                                # need noarpme=yes.

tek=yes         # (yes)
                                # yes to enable Tektronix emulation, 
                                # otherwise No

ftp=no          # (yes)
                                # yes to allow incoming FTP sessions, no otherwise

rcp=no          # (no)
                                # Remote Copy, yes if you want to allow it
                # otherwise No.

domaintime=4                    # domain name lookup timeout (first retry)
domainretry=4                   # domain name max number of retries 

        ## Also, the fewer suffixes in the domainslist
        ## the less time you will have to wait if you mis-type an entry.
        ## Finally, try not to use a suffix like   .  or .edu or .com this will
        ## waste a lot of time looking for a bogus host name if you mis-type an entry.

### Entries for tn3270 use ###
#map3270="c:\cutcp\map3270.tbl"       # you don't need this for version 2.2D
                                # and if don't want to change the default
                                # TN3270 keymaps then you don't need it either
                                # however, if you do want to change the
                                # default 3270 keymaps, create a key map file
                                # (see tn3270.tbl) for defaults, and point
                                # this parm to the file.

                                # NOTE: The format for the map3270 file has
                                # changed between versions TC-A and TC-B

tnmode=auto                     # tn3270 connection mode (auto)
                                # choices are
                                # auto - (default)
                                # flagged, notflagged, off
                                # see the manual (best to just use auto)
                                # also see machine specific flags variable

## ----------------------------------------------------------------- ##
##   BEGIN MACHINE SPECIFIC PARAMETERS...                            ##
## ----------------------------------------------------------------- ##
 
arptime=10                      # arp timeout in seconds
                                #

retrans=1                       # starting retransmit time out in ticks
                                #   1/18ths of sec MAX 100, min 1

mtu=1024                        # maximum transmit unit in bytes
                                #   outgoing packet size, MAX=1500

maxseg=1024                     # largest segment we can receive
                                #   whatever the hardware can take, MAX=4096
rwin=2048                       # most bytes we can receive without ACK
                                #   =TCP window size, MAX=4096

contime=20                      # timeout in seconds to try connection
                                #   before returning error to user

flags=0                         # OR the following values for override
                                # flags.. be careful. Flags are not
                                # copied from default, you must explicitly
                                # declare the flag values for each machine
                                # if desired. Flag values are in hex.!
                                #
                                # 8  - send transparent data to capture file
                      instead of tek screen
                                # 10 - always go into 3270 mode regardless of
                                #      tnmode
                                # 18 - do both of the above
                                # 400 - don't do binary mode when asked
                                # ie: flags=408 means, no binary and send trans
                                # data to capture file instead of tek screen.
                                # NOTE: DO NOT USE ANY OTHER VALUES THAN THOSE
                                # SHOWN ABOVE!

name=twilight
hostip=1.2.3.4

===============================================================================

I think on the DOS side of the connection everything works, but that's just
a guess.

On the Linux box I have a SLIP connection running, with ip nr 130.161.97.21
This is only a node address. I got no subnetwork assigned.

The local network I called 1.2.3.0. with 1.2.3.4 for the linux box and
1.2.3.100 for one of the dos machines.

My rc.net looks like this:

PATH=$PATH:/usr/net/bin
ifconfig lo 127.0.0.1 netmask 255.0.0.0 broadcast 127.255.255.255
route add 127.0.0.1
ifconfig eth0 1.2.3.4 netmask 255.255.255.0 broadcast 1.2.3.255
route add -net 1.2.3.0 gw 1.2.3.4
/usr/sbin/routed &
/usr/sbin/inetd &

------------------------------

From: [email-masked] (Perjan  -The Nerd-  Moors)
Subject: Connecting DOS to Linux via ethernet: HOW?
Date: Tue, 13 Sep 1994 00:31:54 GMT

Hello World!

I have a problem installing an ethernet connection between my DOS machine and
the Linux box. On the Dos machines, which are also in a novell network, I have
installed odipkt and tried to use CUTCP as well as TEL2305.

my NET.CFG looks like this:

Link Driver 3C505
        DMA  5
        PORT 300
        INT 9
        FRAME Ethernet_802.3
        FRAME Ethernet_II

NetWare DOS Requester
           FIRST NETWORK DRIVE = F
           USE DEFAULTS = OFF
           VLM = CONN.VLM
           VLM = IPXNCP.VLM
           VLM = TRAN.VLM
           VLM = SECURITY.VLM
        ;  VLM = NDS.VLM
           VLM = BIND.VLM
           VLM = NWP.VLM
           VLM = FIO.VLM
           VLM = GENERAL.VLM
           VLM = REDIR.VLM
           VLM = PRINT.VLM
           VLM = NETX.VLM
===============================================================================

the startnet part of my autoexec.bat:

SET NWLANGUAGE=ENGLISH
LH /L:2,9296 LSL
3C505.COM
LH /L:2,30576 IPXODI
LH /L:2,3440 ODIPKT 1
LH /L:2,76224 VLM

f:
login

===============================================================================

relevant part of config.tel:

#  Example host file for CUTCP/CUTE 2.2D and 2.2TN  REV -D
#  as well as Rutgers-Interm-1.0
#  07/07/93
#
#      Bugs to  [email-masked]

myip=1.2.3.100                  #  (bootp)
                                #  myip types are:
                                #  bootp        - sends out a BOOTP request for your IP
                                #  rarp         - Uses reverse ARp to get your IP
                                #  xx.yy.zz.qq  - your IP address

vjc=no          # (no)
                                # set  vjc=yes if you're running slip and
                                # you want to use Van Jacobson TCP header
                                # compression

splayc=no       # (no) ack. splay compression w/ vjc.. don't
                                # use it, not standard, development option only

netmask=255.255.255.0  #  needed if not using BOOTP.
                       #  otherwise not needed because Bootp gets
                       #  your netmask for you

hardware=packet        # (packet)
                       # harware choices
                       #  3com         - 3com 3c501
                       #  3c523        - 3com 3c523
                       #  odi          - Novell's ODI stack
                       #  packet       - FTP packet Driver spec
                       # (currently only Ethernet and Slip class
                       # devices are supported)

interrupt=9            # hardware IRQ interrupt
address=0              # (0)
                       # base memory address or packet driver class
                       # if using packet driver (0 == default == ethernet)
                       # or class=6 for slip

ioaddr=0               # (0)
                       # I/O address  or packet int vector if using packet driver
                       # If = 0 and packet driver, telbin looks for first
                       # packet driver found between 60H and 7FH

noarpme=yes     # Don't arp for myself before running? (no)
                                # if yes, inhibits the initial arp request
                                # for this IP address. However, if yes, won't
                # warnyou if another user is using this IP
                                # address. For some token ring systems, you'll
                                # need noarpme=yes.

tek=yes         # (yes)
                                # yes to enable Tektronix emulation, 
                                # otherwise No

ftp=no          # (yes)
                                # yes to allow incoming FTP sessions, no otherwise

rcp=no          # (no)
                                # Remote Copy, yes if you want to allow it
                # otherwise No.

domaintime=4                    # domain name lookup timeout (first retry)
domainretry=4                   # domain name max number of retries 

        ## Also, the fewer suffixes in the domainslist
        ## the less time you will have to wait if you mis-type an entry.
        ## Finally, try not to use a suffix like   .  or .edu or .com this will
        ## waste a lot of time looking for a bogus host name if you mis-type an entry.

### Entries for tn3270 use ###
#map3270="c:\cutcp\map3270.tbl"       # you don't need this for version 2.2D
                                # and if don't want to change the default
                                # TN3270 keymaps then you don't need it either
                                # however, if you do want to change the
                                # default 3270 keymaps, create a key map file
                                # (see tn3270.tbl) for defaults, and point
                                # this parm to the file.

                                # NOTE: The format for the map3270 file has
                                # changed between versions TC-A and TC-B

tnmode=auto                     # tn3270 connection mode (auto)
                                # choices are
                                # auto - (default)
                                # flagged, notflagged, off
                                # see the manual (best to just use auto)
                                # also see machine specific flags variable

## ----------------------------------------------------------------- ##
##   BEGIN MACHINE SPECIFIC PARAMETERS...                            ##
## ----------------------------------------------------------------- ##
 
arptime=10                      # arp timeout in seconds
                                #

retrans=1                       # starting retransmit time out in ticks
                                #   1/18ths of sec MAX 100, min 1

mtu=1024                        # maximum transmit unit in bytes
                                #   outgoing packet size, MAX=1500

maxseg=1024                     # largest segment we can receive
                                #   whatever the hardware can take, MAX=4096
rwin=2048                       # most bytes we can receive without ACK
                                #   =TCP window size, MAX=4096

contime=20                      # timeout in seconds to try connection
                                #   before returning error to user

flags=0                         # OR the following values for override
                                # flags.. be careful. Flags are not
                                # copied from default, you must explicitly
                                # declare the flag values for each machine
                                # if desired. Flag values are in hex.!
                                #
                                # 8  - send transparent data to capture file
                      instead of tek screen
                                # 10 - always go into 3270 mode regardless of
                                #      tnmode
                                # 18 - do both of the above
                                # 400 - don't do binary mode when asked
                                # ie: flags=408 means, no binary and send trans
                                # data to capture file instead of tek screen.
                                # NOTE: DO NOT USE ANY OTHER VALUES THAN THOSE
                                # SHOWN ABOVE!

name=twilight
hostip=1.2.3.4

===============================================================================

I think on the DOS side of the connection everything works, but that's just
a guess.

On the Linux box I have a SLIP connection running, with ip nr 130.161.97.21
This is only a node address. I got no subnetwork assigned.

The local network I called 1.2.3.0. with 1.2.3.4 for the linux box and
1.2.3.100 for one of the dos machines.

My rc.net looks like this:

PATH=$PATH:/usr/net/bin
ifconfig lo 127.0.0.1 netmask 255.0.0.0 broadcast 127.255.255.255
route add 127.0.0.1
ifconfig eth0 1.2.3.4 netmask 255.255.255.0 broadcast 1.2.3.255
route add -net 1.2.3.0 gw 1.2.3.4
/usr/sbin/routed &
/usr/sbin/inetd &

============================================================================

I hope anyone can help me with this.

Greetings, 

Perjan Moors

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.admin) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Admin Digest
******************************